| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::Singleton< T > Class Template Reference
Core » General

Template class for creating single-instance global classes. More...

`#include <OgreSingleton.h>`

## Public Member Functions
| Singleton (void)
| ~Singleton (void)

## Static Public Member Functions
static T & | getSingleton (void)
| Get the singleton instance. More...
static T * | getSingletonPtr (void)
| Get the singleton instance. More...

## Detailed Description

### template<typename T>
class Ogre::Singleton< T >

Template class for creating single-instance global classes.

## Constructor & Destructor Documentation

## ◆ Singleton()

template<typename T>

Ogre::Singleton< T >::Singleton | ( | void |  | ) |
| inline

## ◆ ~Singleton()

template<typename T>

Ogre::Singleton< T >::~Singleton | ( | void |  | ) |
| inline

## Member Function Documentation

## ◆ getSingleton()

template<typename T>

static T& Ogre::Singleton< T >::getSingleton | ( | void |  | ) |
| inline static

Get the singleton instance.

## ◆ getSingletonPtr()

template<typename T>

static T* Ogre::Singleton< T >::getSingletonPtr | ( | void |  | ) |
| inline static

Get the singleton instance.

The documentation for this class was generated from the following file:

- OgreSingleton.h